## com.bbn.openmap.dataAccess.shape
Class EsriIconPoint

    java.lang.Object
      com.bbn.openmap.omGraphics.geom.BasicGeometry
          com.bbn.openmap.omGraphics.OMGraphic
              com.bbn.openmap.omGraphics.OMRasterObject
                  com.bbn.openmap.omGraphics.OMRaster
                      com.bbn.openmap.omGraphics.OMScalingRaster
                          com.bbn.openmap.omGraphics.OMScalingIcon
                              com.bbn.openmap.dataAccess.shape.EsriIconPoint

All Implemented Interfaces:
  java.lang.Cloneable, EsriGraphic, java.awt.image.ImageObserver, OMGeometry, OMGraphicConstants, java.io.Serializable, ShapeConstants

public class EsriIconPoint
extends OMScalingIcon
implements java.lang.Cloneable, EsriGraphic, OMGraphicConstants

An extension to OMPoint that typecasts a specific Esri graphic type. Used to ensure that all OMGraphics added to a EsriGraphicList is of the same type.

Author:
  Doug Van Auken
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class com.bbn.openmap.omGraphics.OMRasterObject
`OMRasterObject.TrimScaleFilter`

Field Summary
`protected int` `type`

Fields inherited from class com.bbn.openmap.omGraphics.OMScalingIcon
`baseScale, maxScale, minScale`

Fields inherited from class com.bbn.openmap.omGraphics.OMScalingRaster
`clipRect, lat2, lon2, sourceImage`

Fields inherited from class com.bbn.openmap.omGraphics.OMRaster
`colors, transparent`

Fields inherited from class com.bbn.openmap.omGraphics.OMRasterObject
`bitmap, bits, colorModel, COLORMODEL_DIRECT, COLORMODEL_IMAGEICON, COLORMODEL_INDEXED, DEBUG, FAST_SCALING, filteredHeight, filteredWidth, height, imageFilter, lat, lon, needToReposition, pixels, point1, point2, rotationAngle, SMOOTH_SCALING, width, x, y`

Fields inherited from class com.bbn.openmap.omGraphics.OMGraphic
`declutterType, displayPaint, edgeMatchesFill, fillPaint, hasLabel, linePaint, matted, mattingPaint, renderType, selected, selectPaint, showEditablePalette, stroke, textureMask`

Fields inherited from class com.bbn.openmap.omGraphics.geom.BasicGeometry
`APP_OBJECT_KEY, appObject, ATT_MAP_KEY, lineType, needToRegenerate, shape, visible`

Fields inherited from interface com.bbn.openmap.dataAccess.shape.ShapeConstants

`DBF_ATTRIBUTE, DBF_CHARACTER, DBF_DATE, DBF_LOGICAL, DBF_MEMO, DBF_NUMERIC, DBF_TYPE_CHARACTER, DBF_TYPE_DATE, DBF_TYPE_LOGICAL, DBF_TYPE_MEMO, DBF_TYPE_NUMERIC, PARAM_DBF, PARAM_SHP, PARAM_SHX, SHAPE_BOUNDS_ATTRIBUTE, SHAPE_DBF_DASHPATTERN, SHAPE_DBF_DASHPHASE, SHAPE_DBF_DESCRIPTION, SHAPE_DBF_FILLCOLOR, SHAPE_DBF_INFO_ATTRIBUTE, SHAPE_DBF_LINECOLOR, SHAPE_DBF_LINEWIDTH, SHAPE_DBF_SELECTCOLOR, SHAPE_FILE_HEADER_LENGTH, SHAPE_FILE_RECORD_HEADER_LENGTH, SHAPE_INDEX_ATTRIBUTE, SHAPE_MAX_MEASURE_ATTRIBUTE, SHAPE_MAX_Z_ATTRIBUTE, SHAPE_MEASURE_ATTRIBUTE, SHAPE_MIN_MEASURE_ATTRIBUTE, SHAPE_MIN_Z_ATTRIBUTE, SHAPE_TYPE_ARC, SHAPE_TYPE_MULTIPATCH, SHAPE_TYPE_MULTIPOINT, SHAPE_TYPE_MULTIPOINTM, SHAPE_TYPE_MULTIPOINTZ, SHAPE_TYPE_NULL, SHAPE_TYPE_POINT, SHAPE_TYPE_POINTM, SHAPE_TYPE_POINTZ, SHAPE_TYPE_POLYGON, SHAPE_TYPE_POLYGONM, SHAPE_TYPE_POLYGONZ, SHAPE_TYPE_POLYLINE, SHAPE_TYPE_POLYLINEM, SHAPE_TYPE_POLYLINEZ, SHAPE_Z_ATTRIBUTE`

Fields inherited from interface com.bbn.openmap.omGraphics.OMGraphicConstants

`ADD_GRAPHIC_MASK, BASIC_STROKE, CHANGE_APPEARANCE, clear, DECIMAL_DEGREES, DECLUTTERTYPE_LINE, DECLUTTERTYPE_MOVE, DECLUTTERTYPE_NONE, DECLUTTERTYPE_SPACE, DEFAULT_ROTATIONANGLE, DELETE_GRAPHIC_MASK, DESELECT_GRAPHIC_MASK, DESELECTALL_GRAPHIC_MASK, GRAPHICTYPE_ARC, GRAPHICTYPE_BITMAP, GRAPHICTYPE_CIRCLE, GRAPHICTYPE_ELLIPSE, GRAPHICTYPE_GRAPHIC, GRAPHICTYPE_GRID, GRAPHICTYPE_LINE, GRAPHICTYPE_POINT, GRAPHICTYPE_POLY, GRAPHICTYPE_RASTER, GRAPHICTYPE_RECTANGLE, GRAPHICTYPE_TEXT, INFOLINE, LABEL, LINETYPE_GREATCIRCLE, LINETYPE_RHUMB, LINETYPE_STRAIGHT, LINETYPE_UNKNOWN, LOWER_GRAPHIC_MASK, LOWER_TO_BOTTOM_GRAPHIC_MASK, RADIANS, RAISE_GRAPHIC_MASK, RAISE_TO_TOP_GRAPHIC_MASK, REMOVABLE, RENDERTYPE_LATLON, RENDERTYPE_OFFSET, RENDERTYPE_UNKNOWN, RENDERTYPE_XY, SELECT_GRAPHIC_MASK, SORT_GRAPHICS_MASK, TOOLTIP, UPDATE_GRAPHIC_MASK`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`EsriIconPoint(float lat, float lon, java.awt.Image image)`
`EsriIconPoint(float lat, float lon, javax.swing.ImageIcon imageIcon)`

Method Summary
`static EsriIconPoint` `convert(OMScalingIcon omscalingicon)`
`float[]` `getExtents()` The lat/lon extent of the EsriGraphic, returned as miny, minx, maxy maxx in order of the array.
`int` `getType()` Get the graphic type in ESRI type number form
`void` `setExtents(float[] extents)` The lat/lon extent of the EsriGraphic, assumed to contain miny, minx, maxy maxx in order of the array.
`void` `setType(int t)` Set the type for the EsriGraphic.
`EsriGraphic` `shallowCopy()` Shallow copy this graphic.
`EsriIconPoint` `shallowCopyPoint()`

Methods inherited from class com.bbn.openmap.omGraphics.OMScalingIcon
`getBaseScale, getMaxScale, getMinScale, isOnMap, position, setBaseScale, setMaxScale, setMinScale`

Methods inherited from class com.bbn.openmap.omGraphics.OMScalingRaster
`generate, getClippedRectangle, getLRLat, getLRLon, getULLat, getULLon, rotate, scaleTo, setImage, setLRLat, setLRLon, setShape, setULLat, setULLon, updateImageForProjection`

Methods inherited from class com.bbn.openmap.omGraphics.OMRaster
`computePixels, getByte, getColors, getPixel, getTransparent, setBits, setByte, setColors, setColors, setImageIcon, setPixel, setTransparent`

Methods inherited from class com.bbn.openmap.omGraphics.OMRasterObject

`filterImage, getBits, getColorModel, getFilteredHeight, getFilteredWidth, getHeight, getImage, getImageFilter, getLat, getLon, getMapLocation, getNeedToReposition, getPixels, getRotationAngle, getWidth, getX, getY, hasLineTypeChoice, imageUpdate, render, scaleTo, setColorModel, setHeight, setImageFilter, setLat, setLon, setNeedToReposition, setPixels, setRotationAngle, setWidth, setX, setY, shouldRenderFill`

Methods inherited from class com.bbn.openmap.omGraphics.OMGraphic

`clone, deselect, distance, getDeclutterType, getDescription, getDescription, getDisplayColor, getDisplayPaint, getEdgeMatchesFill, getFillColor, getFillPaint, getHasLabel, getLineColor, getLinePaint, getMattingPaint, getRenderType, getSelectColor, getSelectPaint, getShowEditablePalette, getStroke, getTextureMask, initLabelingDuringGenerate, isClear, isMatted, isSelected, normalizeDistanceForLineWidth, regenerate, renderLabel, select, setDeclutterType, setEdgeMatchesFill, setFillColor, setFillPaint, setGraphicsColor, setGraphicsForEdge, setGraphicsForFill, setHasLabel, setLabelLocation, setLabelLocation, setLabelLocation, setLineColor, setLinePaint, setMatted, setMattingPaint, setRenderType, setSelectColor, setSelected, setSelectPaint, setShape, setShowEditablePalette, setStroke, setTextureMask, shouldRenderEdge`

Methods inherited from class com.bbn.openmap.omGraphics.geom.BasicGeometry

`_distance, appendShapeEdge, appendShapeEdge, appendShapeEdge, appendShapeEdge, checkAttributeMap, checkAttributeMap, clearAttributes, contains, createAttributeMap, createBoxShape, createShape, createShape, describeShapeDetail, describeShapeDetail, distanceToEdge, draw, fill, getAppObject, getAppObject, getAttribute, getAttributeMap, getAttributes, getLineType, getNeedToRegenerate, getShape, isRenderable, isVisible, putAttribute, removeAttribute, replaceAppObjectWithAttributeMap, setAppObject, setAppObject, setAttributes, setLineType, setNeedToRegenerate, setVisible`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bbn.openmap.dataAccess.shape.EsriGraphic
`getAttribute, putAttribute`

Methods inherited from interface com.bbn.openmap.omGraphics.OMGeometry
`clearAttributes, contains, draw, fill, getAppObject, getAttribute, getAttributes, getLineType, getNeedToRegenerate, getShape, isRenderable, isVisible, putAttribute, removeAttribute, setAppObject, setAttributes, setLineType, setNeedToRegenerate, setVisible`

Field Detail

### type

    protected int type

Constructor Detail

### EsriIconPoint

    public EsriIconPoint(float lat,
                         float lon,
                         javax.swing.ImageIcon imageIcon)

### EsriIconPoint

    public EsriIconPoint(float lat,
                         float lon,
                         java.awt.Image image)

Method Detail

### setExtents

    public void setExtents(float[] extents)

  The lat/lon extent of the EsriGraphic, assumed to contain miny, minx, maxy maxx in order of the array.

  Specified by:
    `setExtents` in interface `EsriGraphic`

### getExtents

    public float[] getExtents()

  The lat/lon extent of the EsriGraphic, returned as miny, minx, maxy maxx in order of the array.

  Specified by:
    `getExtents` in interface `EsriGraphic`

### setType

    public void setType(int t)

  Description copied from interface: `EsriGraphic`
  Set the type for the EsriGraphic.

  Specified by:
    `setType` in interface `EsriGraphic`
  Parameters:
    `t` -

### getType

    public int getType()

  Description copied from interface: `EsriGraphic`
  Get the graphic type in ESRI type number form

  Specified by:
    `getType` in interface `EsriGraphic`

### convert

    public static EsriIconPoint convert(OMScalingIcon omscalingicon)

### shallowCopy

    public EsriGraphic shallowCopy()

  Description copied from interface: `EsriGraphic`
  Shallow copy this graphic. The contract is that the cloned object should be capable of being placed on a different layer.

  Specified by:
    `shallowCopy` in interface `EsriGraphic`

### shallowCopyPoint

    public EsriIconPoint shallowCopyPoint()

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details